Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.recipe.protocol.v1
Class GetPrescriptionForExecutorRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.recipe.protocol.v1.GetPrescriptionForExecutorRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:29:02+02:00",
               comments="JAXB RI v2.2.6")
    public class GetPrescriptionForExecutorRequest

extends RequestType
implements Serializable

Java class for GetPrescriptionForExecutorRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetPrescriptionForExecutorRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="SecuredGetPrescriptionForExecutorRequest" type="{urn:be:fgov:ehealth:recipe:core:v1}SecuredContentType"/>
             <element name="AdministrativeInformation" type="{urn:be:fgov:ehealth:recipe:core:v1}ExecutorServiceAdministrativeInformationType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetPrescriptionForExecutorRequest()`

Method Summary
`ExecutorServiceAdministrativeInformationType` | `getAdministrativeInformation()` Gets the value of the administrativeInformation property.
`SecuredContentType` | `getSecuredGetPrescriptionForExecutorRequest()` Gets the value of the securedGetPrescriptionForExecutorRequest property.
`void` | `setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)` Sets the value of the administrativeInformation property.
`void` | `setSecuredGetPrescriptionForExecutorRequest(SecuredContentType value)` Sets the value of the securedGetPrescriptionForExecutorRequest property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPrescriptionForExecutorRequest

    public GetPrescriptionForExecutorRequest()

Method Detail

### getSecuredGetPrescriptionForExecutorRequest

    public SecuredContentType getSecuredGetPrescriptionForExecutorRequest()

  Gets the value of the securedGetPrescriptionForExecutorRequest property.

  Returns:
    possible object is `SecuredContentType`

### setSecuredGetPrescriptionForExecutorRequest

    public void setSecuredGetPrescriptionForExecutorRequest(SecuredContentType value)

  Sets the value of the securedGetPrescriptionForExecutorRequest property.

  Parameters:
    `value` - allowed object is `SecuredContentType`

### getAdministrativeInformation

    public ExecutorServiceAdministrativeInformationType getAdministrativeInformation()

  Gets the value of the administrativeInformation property.

  Returns:
    possible object is `ExecutorServiceAdministrativeInformationType`

### setAdministrativeInformation

    public void setAdministrativeInformation(ExecutorServiceAdministrativeInformationType value)

  Sets the value of the administrativeInformation property.

  Parameters:
    `value` - allowed object is `ExecutorServiceAdministrativeInformationType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.